#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define NUM_KONGS 5

/* apply one round of these shenanigans */
void apply_round(int* bananas, int* kong, int* kong_eat) {
    int take = *bananas / 5;
    int eat = *bananas % 5;

    *kong += take;
    *kong_eat += eat;
    *bananas -= (take + eat);
}

int main() {
    int bananas;
    scanf("%d", &bananas);

    /* arrays for each kongs haul, and tummy */
    int haul[NUM_KONGS], eaten[NUM_KONGS];

    /* their names reflect the order */
    char* names [] = {"Donkey", "Cranky", "Dixie", "Diddy", "Funky"};

    /* set all to 0 */
    for (int i = 0; i < NUM_KONGS; i++) {
        haul[i] = eaten[i] = 0;
    }

    /* go through each kong */
    for (int i = 0; i < NUM_KONGS; i++) {
        apply_round(&bananas, &haul[i], &eaten[i]);
    }

    /* now each kong gets another equal share of all that's left */
    for (int i = 0; i < NUM_KONGS; i++) {
        haul[i] += bananas / 5;
    }
    int pie = bananas % 5;

    /* print the results */
    for (int i = 0; i < NUM_KONGS; i++) {
        printf("%s Kong has %d bananas, and ate %d.\n", names[i], haul[i], eaten[i]);
    }
    printf("%d bananas were baked into a pie.\n", pie); 

    return 0;
}

